using System.ComponentModel;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 仓库
    /// </summary>
    public class TB_BS_STORE
    {
        [DisplayName("仓库编码")]
        public string STORE_ID { get; set; }=string.Empty;
        [DisplayName("ERP仓库编码")]
        public string ERP_STORE_ID { get; set; } = string.Empty;
        [DisplayName("仓库名称")]
        public string STORE_NAME { get; set; } = string.Empty;
        [DisplayName("仓库类型")]
        public int STORE_TYPE { get; set; } = 1;    //1良品仓2不良品仓4待检仓
        [DisplayName("仓库类别")]
        public int STORE_MD { get; set; } = 1;   //1大仓库2小仓库3产线暂存仓4虚拟仓
        [DisplayName("属性类别")]
        public int PPT_TYPE { get; set; } = 1;   //1物料类
        [DisplayName("禁用")]
        public string DISABLE { get; set; } = "N";
    }
}
